WeakishReference (Apache Ant API)
Keywords: org.apache.tools.ant.util.WeakishReference class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class WeakishReference

    java.lang.Object
      org.apache.tools.ant.util.WeakishReference

Direct Known Subclasses:
  WeakishReference.HardReference

Deprecated. deprecated 1.7; will be removed in Ant1.8 Just use `WeakReference` directly.

    public class WeakishReference

extends java.lang.Object

These classes are part of some code to reduce memory leaks by only retaining weak references to things on Java1.2+, and yet still work (with leaky hard references) on Java1.1. Now that Ant is 1.2+ only, life is simpler and none of the classes are needed any more. They are only retained in case a third-party task uses them

Since:
  ant1.6
See Also:
  `WeakishReference12`

Nested Class Summary
`static class` | `WeakishReference.HardReference` Deprecated. since 1.7. Hopefully nobody is using this.

Method Summary
`static WeakishReference` | `createReference(java.lang.Object object)` Deprecated. create the appropriate type of reference for the java version
`java.lang.Object` | `get()` Deprecated. Returns this reference object's referent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public java.lang.Object get()

  Deprecated.
  Returns this reference object's referent. If this reference object has been cleared, then this method returns `null`.

  Returns:
    The object to which this reference refers, or `null` if this reference object has been cleared.

### createReference

    public static WeakishReference createReference(java.lang.Object object)

  Deprecated.
  create the appropriate type of reference for the java version

  Parameters:
    `object` - the object that the reference will refer to.
  Returns:
    reference to the Object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD